package com.diagbot.facade;

import com.diagbot.client.AiptServiceClient;
import com.diagbot.dto.ConceptIntroduceDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.exception.CommonErrorCode;
import com.diagbot.exception.CommonException;
import com.diagbot.vo.ConceptIntroduceVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/5/6 17:37
 */
@Component
public class ConceptDetailFacade {
    @Autowired
    private AiptServiceClient aiptServiceClient;

    public ConceptIntroduceDTO getConceptDetail(ConceptIntroduceVO conceptIntroduceVO) {
        RespDTO<ConceptIntroduceDTO> res = aiptServiceClient.getConceptDetail(conceptIntroduceVO);
        if (res == null || res.data == null) {
            throw new CommonException(CommonErrorCode.SERVER_IS_ERROR, "获取提示信息失败");
        }

        return res.data;
    }
}
